Page MenuHomePhabricator

Kernel Default Route in 1.2 and wan load-balancing feature
Closed, ResolvedPublic

Description

Hi,

I've been running one of the nightlies for 1.2, most recently "vyos-999.201603162137-amd64.iso".

There seems to be a kernel default route that cannot be touched (UPDATE: kernel default route only exist when address is received via DHCP), even via a static route (kernel route precedence). This creates problem if a different default route needs to be set, for instance, using a different interface, or as the dhcp-interface option does not work due to this as well.

Further, wan load-balance does not work, and sends all traffic via the route as shown in the kernel default route (may be related).

If further clarification is required, I am happy to assist.

Thank you.

Details

Difficulty level
Hard (possibly days)

Event Timeline

syncer raised the priority of this task from Normal to High.Mar 19 2016, 8:28 PM
syncer edited projects, added VyOS 1.1.x (1.1.8); removed VyOS 2.0.x.
syncer added a subscriber: dmbaturin.
syncer added a subscriber: syncer.

@Boltsie Did you figure out some more of this?
In IRC you said that the problem was due to dhcp and not wan load-balancing...

Hi,

This isn't related to the issue I was having with my ISP over the past few days - that was definitely something interesting though, and I'll write about it sometime. Let me fire up a test VM on one of the dev images and verify this again.

Hi,

As you can see in the images below (left being VyOS 1.2 jessie vyos-999.201603222137-amd64.iso, right being 1.1.7), DHCP route is taken as a kernel route (which is most trusted route) instead of as a static route that can be handled by quagga as in 1.1.7.


Boltsie updated the task description. (Show Details)Mar 24 2016, 1:48 AM
In T22#399, @UnicronNL wrote:

Hi,

Tried it yesterday while you were not here and it worked, https://r.kyaa.sg/ecetav.png , last part is 'show dhcp client leases' not showing any output :)

ddclient hook is preventing other hooks from running, do i will delete it in the build script.

UnicronNL closed this task as Resolved.Mar 27 2016, 9:07 PM
UnicronNL claimed this task.

@Boltsie 'show dhcp client leases' should also be fixed in builds, for fast local testing remove /etc/dhcp/dhclient-exit-hooks.d/ddclient

https://github.com/vyos/vyos-replace
https://github.com/vyos/vyos-build/commit/f349c98d9a5d66fd9f39d59af159e994fc48c8f4